Requester's Priority: Normal Platform:
Description

Supportanfrage

Bei ADTF 3.8. habe ich einen Filter inkl eines CE-Plugin erstellt, um per QML einen Textfile, der in den Filter-Property angegeben ist,
zu parsen und darauf basierend im Configuration-Editor die Filterpins zu erstellen. Fur das Parsen des Textfiles |&dt der QML-File
wiederum eine in c++ geschriebenes QQmIExtensionPlugin.

Das CE-Plugin nutzt dafir das ADTF Package ce_utils. Das gibt es aber in der ADTF Version 3.11 nicht mehr und der ADTF
Beispielfilter dazu ist auch rausgeflogen. Wie bekomme ich den Filter denn mit ADTF 3.11 wieder zum Laufen?

Lésung
Wir waren gezwungen die Funktionalitat zu verschieben und mussten hier zwischen Legacy und exklusiven Kundensupport

abwagen, wir haben uns fir letzteres entschieden, was ich hiermit tue.
Bitte andere deine Dependency von ce_utils auf ui, das fur dich relevante Macro adtf_add_ce_plugin ist nun im adtf ui package.

History

#1 - 2021-02-23 09:01 - hidden

- Project changed from Public Support to 11

- Status changed from New to Customer Feedback Required
- Topic set to ADTF::UI

- Customer set to AUDI

- Department set to AST

- Affected Products ADTF 3.11.0 added

Hallo Dirk,

wir waren gezwungen die Funktionalitat zu verschieben und mussten hier zwischen Legacy und exklusiven Kundensupport abwégen, wir haben uns
fur letzteres entschieden, was ich hiermit tue.

Bitte &ndere deine Dependency von ce_utils auf ui, das flr dich relevante Macro adtf_add_ce_plugin ist nun im adtf ui package.
Entschuldige die Anpassung, ich werde dazu auch noch eine FAQ machen, ein neuer Guide soll ohnehin entstehen.

Kommst du mit dieser Hilfe klar ?

#2 - 2021-02-26 18:30 - hidden

Ich musste zusétzlich noch die ADTF Ul-Libraries extra in meinem CMake-File hinzufiigen, da diese nicht mehr in dem adtf_add_ce_plugin
hinzugefiigt werden, aber damit konnte ich den Filter jetzt wieder kompilieren.

Das Ticket kann also geschlossen werden.

Viele GruBe

Dirk
#3 - 2021-03-01 10:21 - hidden

- Project changed from 11 to Public Support

- Subject changed from Erstellung Filter pins per gml to Creating plugin module for CE does not work anymore
- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

- FAQ Links set to
https://support.digitalwerk.net/projects/download-center/wiki/FAQ's#Q-Creating-plugin-modules-for-CE-does-not-work-anymore-since-ADTF-311

Hi Dirk,
Ich musste zusatzlich noch die ADTF Ul-Libraries extra in meinem CMake-File hinzufligen, da diese nicht mehr in dem adtf_add_ce_plugin

hinzugefligt werden, aber damit konnte ich den Filter jetzt wieder kompilieren.

Genau das meinte ich, die CMake Funktion adtf_add ce_plugin ist nun im package ui und das package ce_utils ist damit obsolet und
demenetsprechend musst du die Dependency andern, so wie du es gemacht hast.
Sehr gut wenn es nun wieder klappt.

#4 - 2021-03-01 10:22 - hidden
- File deleted (image001.png)

#5 - 2022-01-17 08:17 - hidden
- Status changed from To Be Closed to Closed
